{ outputs, config, pkgs, ... }:
{
  nix = {
    settings = {
      experimental-features = "nix-command flakes";
      auto-optimise-store = true;
    };
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 1w";
    };
  };

  time.timeZone = outputs.secrets.timeZone;

  programs = {
    zsh.enable = true;
    nano.enable = false;
  };

  documentation = {
    nixos.enable = false;
    info.enable = false;
  };

  console = {
    font = "${pkgs.terminus_font}/share/consolefonts/ter-u22n.psf.gz";
    packages = with pkgs; [ terminus_font ];
  };

  nixpkgs.config.allowUnfree = true;
  hardware.enableRedistributableFirmware = true;

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
